%global srcname pbkdf2
%bcond_with bootstrap

Name:           python-%{srcname}
Version:        1.3
Release:        3
Summary:        This module implements the password-based key derivation function, PBKDF2, specified in RSA PKCS#5 v2.0.
License:        MIT
URL:            https://pypi.org/project/pbkdf2/
Source0:        %{pypi_source}

BuildArch:      noarch

%description
This module implements the password-based key derivation function, PBKDF2, specified in RSA PKCS#5 v2.0.

%package -n python3-pbkdf2
Summary:        password-based key derivation function
BuildRequires:       python3-pytest
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-pbkdf2
This module implements the password-based key derivation function, PBKDF2, specified in RSA PKCS#5 v2.0.

%prep
%autosetup -n pbkdf2-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m pytest test/

%files -n python3-pbkdf2
%doc PKG-INFO README.txt 
%{python3_sitelib}/*


%changelog
* Fri Sep 17 2021 caodongxia <caodongxia@huawei.com> - 1.3-3
- Provides python-pbkdf2

* Wed Sep 9 2020 shixuantong <shixuantong@huawei.com> - 1.3-2
- update Source0 and rename tarball

* Tue Apr 28 2020 Wei Xiong  <myeuler@163.com>
- init package
